## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate imgui

Name:           rust-%{crate}
Version:        0.7.0
Release:        %autorelease
Summary:        High-level Rust bindings to dear imgui

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/imgui
Source:         %{crates_source}
# Download license and readme files
# https://github.com/imgui-rs/imgui-rs/issues/493
Source1:        https://raw.githubusercontent.com/imgui-rs/imgui-rs/master/README.markdown
Source2:        https://raw.githubusercontent.com/imgui-rs/imgui-rs/master/LICENSE-MIT
Source3:        https://raw.githubusercontent.com/imgui-rs/imgui-rs/master/LICENSE-APACHE

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
High-level Rust bindings to dear imgui.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.https://gitlab.com/kornelski/cloudflare-zlib-sys

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.markdown
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm-devel %{_description}

This package contains library source intended for building other packages
which use "wasm" feature of "%{crate}" crate.

%files       -n %{name}+wasm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} README.markdown
cp %{SOURCE2} LICENSE-MIT
cp %{SOURCE3} LICENSE-APACHE

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 06 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.0-1
- Initial package

